package com.ruoyi.mall.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.utils.ApiResult;
import com.ruoyi.mall.domain.MallCoupon;

/**
 * 优惠券Service接口
 * 
 * @author ruoyi
 * @date 2021-12-17
 */
public interface IMallCouponService 
{
    /**
     * 查询优惠券
     * 
     * @param id 优惠券主键
     * @return 优惠券
     */
    public MallCoupon selectMallCouponById(Long id);

    /**
     * 查询优惠券列表
     * 
     * @param mallCoupon 优惠券
     * @return 优惠券集合
     */
    public List<MallCoupon> selectMallCouponList(MallCoupon mallCoupon);

    /**
     * 新增优惠券
     * 
     * @param mallCoupon 优惠券
     * @return 结果
     */
    public int insertMallCoupon(MallCoupon mallCoupon);

    /**
     * 修改优惠券
     * 
     * @param mallCoupon 优惠券
     * @return 结果
     */
    public int updateMallCoupon(MallCoupon mallCoupon);

    /**
     * 批量删除优惠券
     * 
     * @param ids 需要删除的优惠券主键集合
     * @return 结果
     */
    public int deleteMallCouponByIds(Long[] ids);

    /**
     * 删除优惠券信息
     * 
     * @param id 优惠券主键
     * @return 结果
     */
    public int deleteMallCouponById(Long id);

    public List<Map<String, Object>> selectMallCouponVOList();

}
